Yum et le résolveur de depéndances inverses…

Allez, petite blague avec le package libmspack qui n’a visiblement pas de dépendances :

rpm -q --whatrequires libmspack
no package requires libmspack

On devrait donc pouvoir supprimer ce package!

rpm -e libmspack
error: Failed dependencies:
        libmspack.so.0()(64bit) is needed by (installed) open-vm-tools-10.2.5-3.el7.x86_64

Il y a effectivement une dépendance non pas sur le package mais sur la bibliothèque :

yum deplist open-vm-tools|grep -i libmspack
  dependency: libmspack.so.0()(64bit)
   provider: libmspack.x86_64 0.7-0.1.alpha.el7

Il ne faut donc pas utiliser yum mais repoquery:

repoquery -q --installed --whatrequires libmspack
libmspack-0:0.7-0.1.alpha.el7.x86_64
open-vm-tools-0:10.2.5-3.el7.x86_64

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.